curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/shipments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"reference": "<string>",
"type": "outbound",
"carrierSettings": {
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"additionalParameters": {}
},
"status": "draft",
"senderAddress": {
"id": "<string>",
"name": "<string>",
"attContact": "<string>",
"address1": "<string>",
"address2": "<string>",
"zipcode": "<string>",
"city": "<string>",
"phone": "<string>",
"countryCode": "<string>",
"state": "<string>",
"email": "jsmith@example.com",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"customs": {}
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}List all shipments for an organization
curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/shipments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"reference": "<string>",
"type": "outbound",
"carrierSettings": {
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"additionalParameters": {}
},
"status": "draft",
"senderAddress": {
"id": "<string>",
"name": "<string>",
"attContact": "<string>",
"address1": "<string>",
"address2": "<string>",
"zipcode": "<string>",
"city": "<string>",
"phone": "<string>",
"countryCode": "<string>",
"state": "<string>",
"email": "jsmith@example.com",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"customs": {}
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}JWT access token or API token (prefixed with zipp_)
Organization ID
1 <= x <= 90071992547409911 <= x <= 100